Skip to content

Get Wallet Information

Endpoint

GET https://api.mycactus.dev/custody/v1/api/projects/{b_id}/integrated/wallets/coins/{coin_name}
GET https://api.mycactus.com/custody/v1/api/projects/{b_id}/integrated/wallets/coins/{coin_name}

Parameters

Path Parameters

FieldTypeDescription
b_id
Required
StringBusiness line ID
coin_name
Required
StringToken name

Response

Response Body

Field Type Description
code Integer Response code (0 = success)
message String Response message
successful Boolean Whether the request was successful
data Object Wallet information (see data object details below)

data (object)

Field Type Description
bid String Business line ID
currency String Asset Name
total_balance Integer Balance
available_balance Integer Available
frozen_balance Integer Frozen
pending_balance Integer Frozen - pending
fixed_income_amount Integer Frozen - fixed income
address_infos Object[] Address information. (see address_infos object details below)

address_infos (object)

Field Type Description
coin_name String Token Name
address String Deposit Address
tag String Deposit Address's tag or memo
  • Deposit or withdraw of USDTERC, USDTOMNI and USDTERC are all included in the USDT asset balance.
  • total_balance = available_balance + frozen_balance + fixed_income_amount, pending_balance is not included in the total balance.

Response Example

{
  "code": 0,
  "message": "string",
  "data": {
    "bid": "string",
    "currency": "string",
    "total_balance": 0,
    "available_balance": 0,
    "frozen_balance": 0,
    "pending_balance": 0,
    "fixed_income_amount": 0,
    "address_infos": [
      {
        "address": "string",
        "coin_name": "string",
        "tag": "string"
      }
    ]
  },
  "successful": true
}